#!/usr/bin/env node
'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
const nwwc = require('../index');
const [, , ...argv] = process.argv;
let param = 0;
if (!argv || !argv.length) {
    console.error('argv empty. options: --title or --pid');
    process.exit(1);
}
for (let v of argv) {
    if (v.indexOf('--pid=') === 0) {
        let { [1]: id } = v.split('=');
        if (id && Number.isInteger(+id)) {
            param = +id;
            break;
        }
    }
}
if (!param) {
    for (let v of argv) {
        if (v.indexOf('--title') === 0) {
            const { [1]: title } = v.split('=');
            if (title) {
                param = title;
                break;
            }
        }
    }
}
if (!param) {
    process.exit(1);
}
nwwc.kill(param).then((execRet) => {
    console.log('process ret:', execRet);
    process.exit(execRet.err);
});
