#!/usr/bin/env node
'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
const index_1 = require('../index');
const [, , ...argv] = process.argv;
let hWnd = 0;
let status = -1;
if (!argv || !argv.length) {
    console.error('argv empty. arguments: --hwnd --status');
    console.log('status value See: https://msdn.microsoft.com/en-us/library/windows/desktop/ms633548(v=vs.85).aspx');
    process.exit(1);
}
for (let v of argv) {
    if (!hWnd && v.indexOf('--hwnd=') === 0) {
        let { [1]: id } = v.split('=');
        if (id && Number.isInteger(+id)) {
            hWnd = +id;
        }
    }
    else if (v.indexOf('--status') === 0) {
        let { [1]: vv } = v.split('=');
        if (vv && Number.isInteger(+vv)) {
            status = +vv;
            break;
        }
    }
}
if (hWnd <= 0) {
    process.exit(1);
}
if (!index_1.validate_cmdshow(status)) {
    process.exit(1);
}
index_1.default(hWnd, status).then((errcode) => {
    process.exit(errcode);
});
